Subject: release manifest buildability

From: Efraim Flashner <[email-masked]>
Date: Sun, 15 Jun 2025 14:55:13 +0300

I'm responding to my own message here to give a follow-up on my
progress:

On Wed, Jun 11, 2025 at 04:41:16PM +0300, Efraim Flashner wrote:
 
> (ins)efraim@3900XT ~/workspace/guix$ time ./pre-inst-env guix weather -m ./etc/manifests/release.scm
> computing 258 package derivations for x86_64-linux...
> looking for 303 store items on https://bordeaux.guix.gnu.org...
> https://bordeaux.guix.gnu.org ☀
>   100.0% substitutes available (303 out of 303)
>   982.7 MiB of nars (compressed)
>   3,145.6 MiB on disk (uncompressed)
>   0.018 seconds per request (5.6 seconds in total)
>   54.1 requests per second
>   (continuous integration information unavailable)
> looking for 303 store items on https://ci.guix.gnu.org...
> https://ci.guix.gnu.org ☀
>   100.0% substitutes available (303 out of 303)
>   at least 1,988.3 MiB of nars (compressed)
>   3,145.8 MiB on disk (uncompressed)
>   0.007 seconds per request (1.6 seconds in total)
>   146.2 requests per second

(ins)efraim@3900XT ~/workspace/guix$ time ./pre-inst-env guix weather -m ./etc/manifests/release.scm
computing 258 package derivations for x86_64-linux...
looking for 303 store items on https://bordeaux.guix.gnu.org...
https://bordeaux.guix.gnu.org ☀
  100.0% substitutes available (303 out of 303)
  981.1 MiB of nars (compressed)
  3,129.4 MiB on disk (uncompressed)
  0.012 seconds per request (3.5 seconds in total)
  86.7 requests per second
  (continuous integration information unavailable)
looking for 303 store items on https://ci.guix.gnu.org...
https://ci.guix.gnu.org ☀
  100.0% substitutes available (303 out of 303)
  at least 1,983.2 MiB of nars (compressed)
  3,129.3 MiB on disk (uncompressed)
  0.010 seconds per request (1.3 seconds in total)
  95.0 requests per second

> (ins)efraim@3900XT ~/workspace/guix$ time ./pre-inst-env guix weather --system=aarch64-linux -m ./etc/manifests/release.scm
> computing 257 package derivations for aarch64-linux...
> looking for 302 store items on https://bordeaux.guix.gnu.org...
> https://bordeaux.guix.gnu.org ☀
>   82.8% substitutes available (250 out of 302)
>   863.8 MiB of nars (compressed)
>   3,403.9 MiB on disk (uncompressed)
>   0.053 seconds per request (15.9 seconds in total)
>   19.0 requests per second
>   (continuous integration information unavailable)
> looking for 302 store items on https://ci.guix.gnu.org...
> https://ci.guix.gnu.org ⛈
>   48.7% substitutes available (147 out of 302)
>   at least 287.9 MiB of nars (compressed)
>   815.4 MiB on disk (uncompressed)
>   0.004 seconds per request (1.2 seconds in total)
>   260.5 requests per second

(ins)efraim@3900XT ~/workspace/guix$ time ./pre-inst-env guix weather --system=aarch64-linux -m ./etc/manifests/release.scm
computing 257 package derivations for aarch64-linux...
looking for 302 store items on https://bordeaux.guix.gnu.org...
https://bordeaux.guix.gnu.org ☀
  82.8% substitutes available (250 out of 302)
  864.3 MiB of nars (compressed)
  3,405.2 MiB on disk (uncompressed)
  0.017 seconds per request (5.1 seconds in total)
  58.7 requests per second
  (continuous integration information unavailable)
looking for 302 store items on https://ci.guix.gnu.org...
https://ci.guix.gnu.org ⛈
  45.7% substitutes available (138 out of 302)
  at least 229.2 MiB of nars (compressed)
  617.3 MiB on disk (uncompressed)
  0.004 seconds per request (0.7 seconds in total)
  228.3 requests per second

> 100% on x86_64 (and has been every time I've checked recently). I'm not
> sure how much is waiting for rebuilds on aarch64 or how much needs
> fixing.  Currently it's bcachefs-static, xfce, mate, gnome, and some
> u-boot packages.

Still 100% on x86_64 and the substitutes available for aarch64 haven't
gotten any better.

(ins)efraim@3900XT ~/workspace/guix$ time ./pre-inst-env guix build --no-grafts --system=aarch64-linux -m ./etc/manifests/release.scm -n
substitute: looking for substitutes on 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: looking for substitutes on 'https://ci.guix.gnu.org'... 100.0%
substitute: looking for substitutes on 'https://cuirass.genenetwork.org'... 100.0%
substitute: looking for substitutes on 'http://guix.genenetwork.org'... 100.0%
substitute: looking for substitutes on 'https://guix.tobias.gr'... 100.0%
The following derivations would be built:
  /gnu/store/rg000i2bf7fy0najxm4l2vzs2yxl41gl-sbsigntools-0.9.5.drv
  /gnu/store/rp5hwwjal27lqscgw4228z664l6sr69v-efitools-1.9.2.drv
  /gnu/store/m2s2gr1irz50b2lscs5bh3sngj2qhq15-u-boot-sandbox-2025.01.drv
  /gnu/store/9h67k1p5hljx5g0hgrs0j6zyq372y03c-u-boot-ts7970-q-2g-1000mhz-c-2015.04_3-0.0880916.drv
  /gnu/store/l82dg6cmgkak262xbv78kz55w27jzcc0-u-boot-nintendo-nes-classic-edition-2018.11.drv

So sbsigntools -> efitools -> u-boot-sandbox and then the 2 old u-boot
packages.  I think that's the equivalent of 297/302 for 98.3%.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted